curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v2/payment/payout \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v2/payment/payout"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v2/payment/payout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v2/payment/payout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v2/payment/payout"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v2/payment/payout")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v2/payment/payout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"payout_id": "PO2097897064066191360",
"payout_currency": "SGD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "Sandbox payout",
"payout_status": "COMPLETED",
"create_time": "2026-09-10T11:56:51+08:00",
"completed_time": "2026-09-10T12:00:04+08:00"
},
{
"payout_id": "PO2080607254624604160",
"payout_currency": "USD",
"payout_amount": "5",
"payout_fee": "0",
"debited_amount": "5",
"transfer_amount": "5",
"internal_note": "",
"statement_descriptor": "SDK test payout",
"payout_status": "PROCESSING",
"create_time": "2026-07-24T18:53:19+08:00",
"completed_time": ""
},
{
"payout_id": "PO2080284479787634688",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "R26 TEST",
"payout_status": "PROCESSING",
"create_time": "2026-07-23T21:30:44+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079941706899263488",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "R25 TEST",
"payout_status": "PROCESSING",
"create_time": "2026-07-22T22:48:41+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079940645983621120",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "R25 TEST",
"payout_status": "PROCESSING",
"create_time": "2026-07-22T22:44:28+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079940364487102464",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "R25 TEST",
"payout_status": "PROCESSING",
"create_time": "2026-07-22T22:43:20+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079939998978674688",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "R25 TEST",
"payout_status": "PROCESSING",
"create_time": "2026-07-22T22:41:53+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079939321095262208",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "R25 TEST",
"payout_status": "PROCESSING",
"create_time": "2026-07-22T22:39:12+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079551402786426880",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "V30 R14",
"payout_status": "PROCESSING",
"create_time": "2026-07-21T20:57:45+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079490900408406016",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "V30 R8Z",
"payout_status": "PROCESSING",
"create_time": "2026-07-21T16:57:20+08:00",
"completed_time": ""
}
],
"total_items": 43,
"total_pages": 5
}List all Payouts
Retrieve a list of payout orders with optional filtering and pagination support.
Usage Guidelines
- Default behavior: If no date range is specified, returns the first page of payouts created from one month ago to today.
- Date range filtering: When using date filters, both
start_timeandend_timeparameters are required, andend_timemust be greater than or equal tostart_time. The time range must not exceed one month.
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v2/payment/payout \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v2/payment/payout"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v2/payment/payout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v2/payment/payout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v2/payment/payout"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v2/payment/payout")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v2/payment/payout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"payout_id": "PO2097897064066191360",
"payout_currency": "SGD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "Sandbox payout",
"payout_status": "COMPLETED",
"create_time": "2026-09-10T11:56:51+08:00",
"completed_time": "2026-09-10T12:00:04+08:00"
},
{
"payout_id": "PO2080607254624604160",
"payout_currency": "USD",
"payout_amount": "5",
"payout_fee": "0",
"debited_amount": "5",
"transfer_amount": "5",
"internal_note": "",
"statement_descriptor": "SDK test payout",
"payout_status": "PROCESSING",
"create_time": "2026-07-24T18:53:19+08:00",
"completed_time": ""
},
{
"payout_id": "PO2080284479787634688",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "R26 TEST",
"payout_status": "PROCESSING",
"create_time": "2026-07-23T21:30:44+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079941706899263488",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "R25 TEST",
"payout_status": "PROCESSING",
"create_time": "2026-07-22T22:48:41+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079940645983621120",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "R25 TEST",
"payout_status": "PROCESSING",
"create_time": "2026-07-22T22:44:28+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079940364487102464",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "R25 TEST",
"payout_status": "PROCESSING",
"create_time": "2026-07-22T22:43:20+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079939998978674688",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "R25 TEST",
"payout_status": "PROCESSING",
"create_time": "2026-07-22T22:41:53+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079939321095262208",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "R25 TEST",
"payout_status": "PROCESSING",
"create_time": "2026-07-22T22:39:12+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079551402786426880",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "V30 R14",
"payout_status": "PROCESSING",
"create_time": "2026-07-21T20:57:45+08:00",
"completed_time": ""
},
{
"payout_id": "PO2079490900408406016",
"payout_currency": "USD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "",
"statement_descriptor": "V30 R8Z",
"payout_status": "PROCESSING",
"create_time": "2026-07-21T16:57:20+08:00",
"completed_time": ""
}
],
"total_items": 43,
"total_pages": 5
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
The page number to retrieve. Page numbering starts at 1.
x >= 11
The maximum number of items to return per page. This number can be between 1 - 100
1 <= x <= 10010
Payout creation start date (inclusive). Date format YYYY-MM-DD represents the start of the day (00:00:00).
"2025-07-01"
Payout creation end date (inclusive). Date format YYYY-MM-DD represents the end of the day (23:59:59).
"2025-07-31"
Payout status filter Payout status enumeration.
INITIATED: Payout has been initiated.PROCESSING: Payout is being processed (bank is processing).COMPLETED: Payout completed successfully.FAILED: Payout failed.FAILED_REFUNDED: Payout failed and funds have been refunded.
INITIATED, PROCESSING, COMPLETED, FAILED, FAILED_REFUNDED "INITIATED"

